package com.thebrokenrail.sorcerycraft.packet;

import com.thebrokenrail.sorcerycraft.SorceryCraft;
import io.netty.buffer.Unpooled;
import net.fabricmc.fabric.api.network.PacketContext;
import net.minecraft.network.packet.s2c.play.CustomPayloadS2CPacket;
import net.minecraft.server.network.ServerPlayerEntity;
import net.minecraft.sound.SoundEvents;
import net.minecraft.util.Identifier;
import net.minecraft.util.PacketByteBuf;

public class LearnedNewSpellS2CPacket {
    @SuppressWarnings("unused")
    public static void handle(PacketContext context, PacketByteBuf bytes) {
        if (context.getPlayer() != null) {
            context.getPlayer().playSound(SoundEvents.BLOCK_ENCHANTMENT_TABLE_USE, 1.0f, 1.0f);
        }
    }

    public static void send(ServerPlayerEntity player) {
        PacketByteBuf bytes = new PacketByteBuf(Unpooled.buffer());
        player.networkHandler.sendPacket(new CustomPayloadS2CPacket(new Identifier(SorceryCraft.NAMESPACE, "learned_new_spell"), bytes));
    }
}
